## com.gargoylesoftware.htmlunit.html
Class InputElementFactory

    java.lang.Object
      com.gargoylesoftware.htmlunit.html.InputElementFactory

All Implemented Interfaces:
  IElementFactory

    public final class InputElementFactory

extends java.lang.Object
implements IElementFactory

A specialized creator that knows how to create input objects.

Version:
  $Revision: 4789 $
Author:
  Christian Sell, Marc Guillemot, Ahmed Ashour, David K. Taylor, Dmitri Zoubkov

Field Summary
`static InputElementFactory` `instance` The singleton instance.

Method Summary
`HtmlElement` `createElement(SgmlPage page, java.lang.String tagName, org.xml.sax.Attributes attributes)` Creates an HtmlElement for the specified xmlElement, contained in the specified page.
`HtmlElement` `createElementNS(SgmlPage page, java.lang.String namespaceURI, java.lang.String qualifiedName, org.xml.sax.Attributes attributes)` Creates an element according to this factory's specification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final InputElementFactory instance

  The singleton instance.

Method Detail

### createElement

    public HtmlElement createElement(SgmlPage page,
                                     java.lang.String tagName,
                                     org.xml.sax.Attributes attributes)

  Creates an HtmlElement for the specified xmlElement, contained in the specified page.

  Specified by:
    `createElement` in interface `IElementFactory`
  Parameters:
    `page` - the page that this element will belong to
    `tagName` - the HTML tag name
    `attributes` - the SAX attributes
  Returns:
    a new HtmlInput element

### createElementNS

    public HtmlElement createElementNS(SgmlPage page,
                                       java.lang.String namespaceURI,
                                       java.lang.String qualifiedName,
                                       org.xml.sax.Attributes attributes)

  Creates an element according to this factory's specification. Note that even though this method takes a page parameter, the element is not automatically added to the page's DOM tree.

  Specified by:
    `createElementNS` in interface `IElementFactory`
  Parameters:
    `page` - the enclosing page for the new element
    `namespaceURI` - the URI that identifies an XML namespace
    `qualifiedName` - the qualified name of the element type to instantiate
    `attributes` - the attributes encountered during XML/HTML parsing (possibly `null` if no attributes specified
  Returns:
    the newly created and initialized element

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.